Subject: bug#21699: 24.5; Bug in backup-buffer-copy and/or set-file-extended-attributes etc

From: Eli Barzilay <[email-masked]>
Date: Mon, 19 Oct 2015 05:03:19 -0400

On Mon, Oct 19, 2015 at 4:23 AM, Eli Zaretskii <[email-masked]> wrote:
>
> AFAIU, this means you don't have full access ("FA") to the file you
> are editing, and I guess that's why chmod fails.  If so, there's not
> much we can do about that.
>
> However, with set-file-extended-attributes fixed, backing up works
> again for you, is that right?

Yes.  (On both.)

>> I suspect that some of those ACL entries mean that my user is not
>> allowed to change the file.  In any case, the error that I got when I
>> played with it is:
>>
>> Debugger entered--Lisp error: (file-error "Doing chmod" "permission
>> denied" "c:/eli/.backups/!drive_l!lambda!tmp!x~")
>>   set-file-modes("c:/eli/.backups/!drive_l!lambda!tmp!x~" 438)
>>   eval((set-file-modes "c:/eli/.backups/!drive_l!lambda!tmp!x~" 438) nil)
>
> Yes, I think your suspicion is correct.  (In general, I'd suggest to
> take ownership, from the Windows side, on all of the files on that
> Linux volume you are using from Windows.  IME, this avoids many
> problems with access denial from the Windows side.)

Yeah, I didn't get to deal with that yet, and maybe will never since
this is a Win7 machine, and I think that on 10 these things changed.

-- 
                    ((x=>x(x))(x=>x(x)))                   Eli Barzilay:
                    http://barzilay.org/                   Maze is Life!